Subject: RE: [Sip] INFO considered harmful

From: "Peterson, Jon" <[email-masked]>
Date: Thu, 9 Jan 2003 20:16:26 -0500

A small note below.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]]
> Sent: Thursday, January 09, 2003 4:14 PM
> To: 'Peterson, Jon'; 'Eric Burger'; 'Adam Roach'
> Cc: [email-masked]
> Subject: RE: [Sip] INFO considered harmful
> 
> 
> > Jon says:
> > There are two 
> > functions that SIP is intended to provide - discovery and 
> > session management. Generic data delivery is not one of these 
> > functions. 
> 
> Perhaps you overlook the "rendezvous" function, which is not quite the
same
> as "discovery". The utility of INFO is that it delivers data to the
> endpoints of a specific dialog, while respecting the SIP-level anonymity,
> security, and routing functionality of that dialog. Nothing BUT an
in-dialog
> SIP method has that property, as we discovered in the extended discssion
of
> binding HTTP URLS to SIP.

By discovery I meant what one would generally consider to be the rendezvous
function - all of the registration and events mechanisms, URI resolution and
so on that goes into allowing user agents to find the right place and time
on the network to establish a dialog with their targets. SIP connects user
agents in a dialog, however, so that they can have a session. Sessions are
the way SIP delivers data between endpoints in a specific dialog. The
anonymity, security and routing of session data can indeed run afoul of
problems - but we don't solve those problems for, say, RTP by sending RTP
over INFO. MESSAGE has already been discussed in this thread, so I won't
rehash it (MESSAGE is not a dialog, etc) - suffice it to say that I think
the unregulated standardization of INFO gives SIP some capabilities that it
doesn't have otherwise, which don't serve either of SIP's core functions,
which confuse and complicate SIP's applicability. I agree that INFO is not a
space amoeba, but it is a superfluous bifurcation of SIP's direction that we
can prune without diminishing the protocol's core assets.

[snip]
> --
> Dean
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Dean Willis" <[email-masked]>
Date: Thu, 9 Jan 2003 23:46:14 -0600

Jon said: 
> By discovery I meant what one would generally consider to be 
> the rendezvous function - all of the registration and events 
> mechanisms, URI resolution and so on that goes into allowing 
> user agents to find the right place and time on the network 
> to establish a dialog with their targets. SIP connects user 
> agents in a dialog, however, so that they can have a session. 
> Sessions are the way SIP delivers data between endpoints in a 
> specific dialog. The anonymity, security and routing of 
> session data can indeed run afoul of problems - but we don't 
> solve those problems for, say, RTP by sending RTP over INFO. 
> MESSAGE has already been discussed in this thread, so I won't 
> rehash it (MESSAGE is not a dialog, etc) - suffice it to say 
> that I think the unregulated standardization of INFO gives 
> SIP some capabilities that it doesn't have otherwise, which 
> don't serve either of SIP's core functions, which confuse and 
> complicate SIP's applicability. I agree that INFO is not a 
> space amoeba, but it is a superfluous bifurcation of SIP's 
> direction that we can prune without diminishing the 
> protocol's core assets.

We solve the rendezvous/discovery problems for events and message with SIP
routing, and this functionality of SIP is clearly applicable to
application-data such as ISUP processing in SIP-T (currently done via INFO
routing). I really don't understand what part of "the data carried in INFO
has the semantic of being associated with the application driving this
dialog, not the SIP state machine itself" that isn't clear. The SIP layer
fundamentally neither knows nor cares what that application is.

--
Dean